AbstractAuthProbe (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.AbstractAuthProbe class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class AbstractAuthProbe

    java.lang.Object
      com.securitycentric.metacoretex.lib.AbstractProbe
          com.securitycentric.metacoretex.lib.AbstractAuthProbe

All Implemented Interfaces:
  AuthProbe, Probe, java.lang.Runnable

public abstract class AbstractAuthProbe
extends AbstractProbe
implements AuthProbe

This is the abstract probe from which new AuthProbes may be extended. Most often this type of probe is used if you would like to create a "brute forcer" which can't use the same normal timeout as other probes.

Author:
  visigoth

Field Summary
`boolean` | `brute` distinguishes weather or not this probe is a brute force probe.

Fields inherited from class com.securitycentric.metacoretex.lib.AbstractProbe
`copyright, depVect, enabled, familyStr, helpStr, nameStr, options, pException, probeId, provHash, reportable, repStr, safe, severity, target, timeout, unspec, version`

Constructor Summary
`AbstractAuthProbe()`

Method Summary
`boolean` | `isBrute()` used by the thread timers to decide if this probe gets treated like a brute forcer or a normal probe.
`void` | `probe()` A method for implemeting AuthProbes which only require the test() method over-ride this method to implement your own
`void` | `setBrute(boolean b)` Set the brute boolean value for this probe.
`boolean` | `shouldRun()` This method is a place holder for those wishing to implement the probe() method directly and won't need prepare()
`int` | `test(java.lang.String pass)` This method is a place-holder for those wishing to implement the probe() method directly and not use test() at all

Methods inherited from class com.securitycentric.metacoretex.lib.AbstractProbe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probeSafe, provides, replaceOptions, run, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.securitycentric.metacoretex.interfaces.Probe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probeSafe, provides, replaceOptions, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### brute

    public boolean brute

  distinguishes weather or not this probe is a brute force probe.

Constructor Detail

### AbstractAuthProbe

    public AbstractAuthProbe()

Method Detail

### isBrute

    public boolean isBrute()

  used by the thread timers to decide if this probe gets treated like a brute forcer or a normal probe.

  Specified by:
    `isBrute` in interface `AuthProbe`
  Returns:
    `true` if its a brute-force probe `false` if not

### setBrute

    public void setBrute(boolean b)

  Set the brute boolean value for this probe. Used by implementing probes to declare themselves a bruter-forcer.

  Specified by:
    `setBrute` in interface `AuthProbe`
  Parameters:
    `b` - `true` if we brute, `false` if we don't

### probe

    public void probe()
               throws ProbeException

  A method for implemeting AuthProbes which only require the test() method over-ride this method to implement your own

  Specified by:
    `probe` in interface `Probe`
  Throws:
    `ProbeException` - These exceptions are thrown when failure causes the probe to be unable to determine weather or not the target is vulnerable.

### test

    public int test(java.lang.String pass)
             throws ProbeException

  This method is a place-holder for those wishing to implement the probe() method directly and not use test() at all

  Specified by:
    `test` in interface `AuthProbe`
  Throws:
    `ProbeException`

### shouldRun

    public boolean shouldRun()
                      throws ProbeException

  This method is a place holder for those wishing to implement the probe() method directly and won't need prepare()

  Specified by:
    `shouldRun` in interface `AuthProbe`
  Throws:
    `ProbeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD